---
title: Sprintwechsel KW
tags: [sprint-report, roadmap-update]
draft: true
---

Im Folgenden wollen wir euch ein kurzes Update bzgl. unseres Sprints geben.
Hierbei wollen wir auf die Stories eingehen, die wir bearbeitet haben, sowie den Stand der noch offenen Stories durchgeben.

Falls relevant soll auch ein entsprechendes Update der Roadmap kommuniziert werden.

Dieses Format soll nun bei jedem Sprintwechsel veröffentlicht werden.

## Stories

### Umgesetzt

#### Finalisierung des Autorisierungskonzepts

Im Rahmen dieser Story wurden begonnenen Arbeiten an Umstellung der OAuth Autorisierung für die API Zugriffe umgesetzt. Hierzu wurde Software gegen die neuen Tokens und Scopes getestet und die Dokumentation und API Spec aktualisiert. Wesentliche Neuerungen der neuen OAuth Autorisierung:
- Zugriff auf die Verwaltung von Zustellpunkten und Abruf von Einreichungen basiert nun auf Scopes und nicht mehr auf dem konkreten Client, der den Zustellpunkt erstellt hat. Dies erlaubt es, flexibel API-Clients auszutauschen, ohne hierfür die Destination neu anzulegen oder auch den Zugriff auf Zustellpunkte für mehrere API-Clients zu ermöglichen.
- Neue Zustellpunkte können nur noch durch das Self-Service-Portal erstellt werden. Die Verwaltung von Zustellpunkten ist jedoch weiterhin über die API möglich.
- Sendende Systeme können Access Token ...
- Um diese Berechtigungen bei Access Tokens von sendenden Systemen zu ermöglichen. Müssen nun in den Zustellpunkten die ...

https://docs.fitko.de/fit-connect/docs/getting-started/authentication

#### Endpunkt zur Abfrage der öffentlichen Informationen einer Destination

Aktuell gibt es keine Möglichkeit, dass ein sendendes System einen Zustellpunkt und dessen öffentliche Informationen abfragen kann. Ein solcher Abruf ist bis zur Umsetzung der Routing API zwingend notwendig, damit sendende Systeme Informationen über Destinations ermitteln können, die für eine fachlich und technische korrekte Übermittlung zwingend erforderlich sind (insbesondere Fachschemareferenzen und Keys für die Verschlüsselung der Einreichung).

Daher wurde ein neuer Endpunkt umgesetzt, der es sendenden Systemen erlaubt, für eine konkrete Destination die öffentlichen Informationen abzurufen. Empfangende Systeme können für ihre eigenen Destination (bspw. mit dem manage:destination:<id>) weiterhin alle Informationen einer Destination abrufen. Der spezifizierte Endpunkt kann hier eingesehen werden: https://docs.fitko.de/fit-connect/docs/apis/delivery-service#get-/destinations

#### Event Log der Submission

...

#### Schlüsselverwaltung des Zustelldienstes

...

#### Implementierung des neuen Statusmodells

...

#### schemas` in `submissionSchemas` umbenennen

Es wurde im Rahmen der Qualitätsprüfungen der API beschlossen, den Bezeichner `schemas`, der die referenzierten Fachdatenschemata in der Destination bzw. im Metadatenschema beinhaltet hat, in `submissionSchemas` umzubenennen. Diese Umbenennung wurde in der API Spec und Dokumentation ungepasst.

#### Dokumentationsartikel "Versenden" im Überblick von Getting Started aufteilen

...

### Im Sprint nicht abgeschlossene Stories


#### Umsetzung des Self-Service-Portals

...

#### XFall Schema: Erstellung eines Konzepts zur Ableitung eines JSON Schemas aus einem FIM Stammdatenschema

...

## Roadmap Update

...

---

Bei Fragen, Hinweisen oder Wünschen freuen wir uns gerne über Feedback. Dieses bitte über
unseren [Service Desk](https://jira.fjd.de/servicedesk/customer/portal/5) einkippen.
